=== make/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=lilypond

build:
	$(checkdir)
	./configure --disable-checking --disable-debugging \
		--disable-printing --prefix=/usr --enable-optimise \
		--enable-shared
	make all

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm -f {,*/}out/{*,.build} flower/config.{log,status}
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make prefix=`pwd`/debian/tmp/usr install
	ln -fs ../../../doc/lilypond debian/tmp/usr/lib/texmf/doc/lilypond
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd -m BUGS TODO NEWS DEDICATION ANNOUNCE README
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
